Subject: Re: bug#48141: 28.0.50; Files left over by native compiler

From: Eli Zaretskii <[email-masked]>
Date: Sat, 01 May 2021 17:44:14 +0300

> From: Stefan Monnier <[email-masked]>
> Date: Sat, 01 May 2021 10:36:22 -0400
> 
> I have a few files apparently left over from failed native compilations.
> They look like `lisp/foo.elcABCDEF` where `ABCDEF` is random
> (presumably chosen by `make-temp-file`).
> 
> I haven't found a way to reproduce the problem, so I'm not sure exactly
> how they got here but maybe we need to take more precautions to remove
> them, and maybe we should put them in /tmp?

These are created by byte compiling, they aren't specific to native
compilations.  (AFAIR, we already had them in /tmp at some point, but
moved away of that for some good reasons that I cannot recall?)

I wouldn't be bothered by them, as failed native compilations will
sooner or later pass from the world...